# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82"
name = "iwes"
version = "0.7.0"
authors = ["Dmytro Halichenko <dmytrohalichenko@gmail.com>"]
build = false
include = [
    "Cargo.toml",
    "src/**/*.rs",
    "tests/**/*.rs",
    "tests/**/*.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "IWE LSP server"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/iwe-org/iwe"

[lib]
name = "iwes"
path = "src/lib.rs"

[[bin]]
name = "iwes"
path = "src/main.rs"

[[test]]
name = "integration"
path = "tests/main.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.chrono]
version = "0.4.44"
features = ["unstable-locales"]

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.crossbeam-channel]
version = "0.5.15"

[dependencies.extend]
version = "1.2.0"

[dependencies.fuzzy-matcher]
version = "0.3.7"

[dependencies.indoc]
version = "2"
features = []

[dependencies.itertools]
version = "0.14.0"
features = []

[dependencies.liwe]
version = "0.7.0"

[dependencies.log]
version = "0.4.29"

[dependencies.lsp-server]
version = "0.7.9"

[dependencies.lsp-types]
version = "0.97.0"

[dependencies.minijinja]
version = "2.19.0"

[dependencies.once_cell]
version = "1.21.4"

[dependencies.percent-encoding]
version = "2.3.2"

[dependencies.rayon]
version = "1.12.0"
features = []

[dependencies.relative-path]
version = "2.0.1"

[dependencies.sanitize-filename]
version = "0.6.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sys-locale]
version = "0.3"

[dependencies.toml]
version = "1.0.7"

[dependencies.tracing]
version = "0.1.44"

[dependencies.tracing-subscriber]
version = "0.3.23"
features = [
    "registry",
    "fmt",
    "local-time",
    "std",
    "time",
    "tracing-log",
]
default-features = false

[dependencies.url]
version = "2.5.8"

[dependencies.uuid]
version = "1.20.0"
features = ["v4"]

[dev-dependencies.assert-json-diff]
version = "2.0.2"

[dev-dependencies.difference]
version = "2.0"

[dev-dependencies.tempfile]
version = "3.27"
